LINUX.ORG.RU
ФорумAdmin

hpacucli, hpssacli and lsmcli

 , ,


2

2

Держатели HP серверов наверное знают что такое сабж. Тут достали старенький DL-385 G2 с полкой MSA20. Контролер sas винчестеров 6400.

Поскольку в RHEL 7 уже вынесли cciss то пришлось включить режим совместимости в hpsa. Сервер 6400 увидел но полку не видит :( Поставили туда еще cciss модуль и все вроде пашет.

Но тут понадобилось порулить дисками не через биос, поставил hpacucli полку видно нормально а 6400 самой физики нет.

Я правильно понимаю что для управления 6400 в режиме совместимости через hpsa нужно использовать hpssacli ( по новому ssacli )?

★★★★★

Ответ на: комментарий от anonymous

Спасибо за ответ.

Да у меня kmod-cciss стоит и видит он нормально 6400 с полкой MSA 20. Но P400 который я использую через режим совместимости с hpsa не видит :(

У меня правда прошивка на P400 всего 3.34 вот теперь думаю обновить ... и погляжу что там будет.

P.S. А еще вылезла такая фигня : https://www.centos.org/forums/viewtopic.php?f=49&t=47011&start=30 Но как я понял это баг в ядре и нужно ждать его исправления.

mx__ ★★★★★ ()
Последнее исправление: mx__ (всего исправлений: 1)
Ответ на: комментарий от mx__

Попробывал сейчас накатить обновление прошивки P400.

--- ./CP017698.scexe

HP Enclosure ROM Flash. Flash Engine Version: 2.06.10 Copyright (c) 2006-2009 Hewlett-Packard Development Company L.P.

No devices updated.

--- Ясен пень, P400 то работает через hpsa а не через cciss.

lspci | grep RAID

07:04.0 RAID bus controller: Compaq Computer Corporation Smart Array 64xx (rev 01)

46:00.0 RAID bus controller: Hewlett-Packard Company Smart Array Controller (rev 01)

mx__ ★★★★★ ()
Последнее исправление: mx__ (всего исправлений: 3)
Ответ на: комментарий от mx__

а почему бы не удалить hpsa_allow_any . и пусть все работает через родной cciss ?

обновлять все проще через spp http://h17007.www1.hpe.com/us/en/enterprise/servers/products/service_pack/spp...

как автоматом при загрузке с двд, так и можно просто смонтировать, установить службы и войти через веб, если страшен даунтайм. хотя контроллер все равно надо ребутить.

anonymous ()
Ответ на: комментарий от anonymous

Ну я нашел старый ( как раз для этого старого сервера ) смарт-упдате 10.10 ( он последний в этом виде) и сделал его загрузку по сети ( PXE )

( тут вообще прикол, оказывается в этом 10.10 уже переделали и его дока по ПХЕ не правильная, да еще к этому его инитрд не поддерживает сетевуху с которой он как раз грузится, пришлось патчить его инитрд ... короче это отдельная песня )

Ну так вопрос вот в чем собственно. Сейчас полка 6400 работает через cciss и имеет вид /dev/cciss/ ( как то так ) А вот 400 пашет то через совместимость и имеет вид /dev/sda Если я удалю hpsa_allow_any то как я загружусь ? Система то на нем. И вообще я уже готов обновить P400 но меня опять останавливает его работа как /dev/sda, а вдруг он после обновления будет работать как cciss ?

Самому не нравится этот компот :(

mx__ ★★★★★ ()
Ответ на: комментарий от anonymous

Кстати по вашей ссылке есть версия новее...

mx__ ★★★★★ ()
Ответ на: комментарий от mx__

после инсталяции kmod_cciss надо проверить и пересоздать initramfs с этим драйвером, не помню, делает ли это rpm. ну и проверить root в fstab и загрузчике. если это uuid или lvm, то он не поменяется. ну короче, стандартные действия. сделать 1 раз и забыть.

Даже для очень старых серверов новый spp может содержать новый ilo и fw, например, при изменениях в безопасности ssl. так что советую spp всегда держать свежий.

anonymous ()
Ответ на: комментарий от anonymous

Спасибо ВАМ за ответы.

Накатил сейчас ему все обновления ( те что были в 10.10 там и ило и биос попали ... ) ничего особо не поменялось...

после инсталяции kmod_cciss ...

Это все понятно. Нужно будет собраться и переделать.

Даже для очень старых серверов новый spp ..

Это да, но нахаляву spp не дают :( Придется слева его поискать.

mx__ ★★★★★ ()
Ответ на: комментарий от anonymous

Еще раз спасибо за ответы, думаю тему можно завершить.

Выкинул из grub2 режим совместимости и теперь вижу :

---

hpacucli ctrl slot=1 pd all show

Smart Array P400 in Slot 1

array A

physicaldrive 2I:1:1 (port 2I:box 1:bay 1, SAS, 72 GB, OK)

physicaldrive 2I:1:2 (port 2I:box 1:bay 2, SAS, 72 GB, OK)

physicaldrive 2I:1:3 (port 2I:box 1:bay 3, SAS, 72 GB, Rebuilding)

physicaldrive 2I:1:4 (port 2I:box 1:bay 4, SAS, 72 GB, OK)

---

Так что в режиме совместимости ни одна из утилит не видит контролера :(

mx__ ★★★★★ ()
Последнее исправление: mx__ (всего исправлений: 1)
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.